- rebased to 2.44.0 (RHEL-174896)

- KVM: Quantum Safe SE Header and tooling support (RHEL-149688)
- Introduce NVMe SMART data monitoring to the zpcimon service (RHEL-191176)
- zkey key support for dm-integrity with HMAC (RHEL-50021)
- fix zipl support for mixed type mdadm RAID1 devices (RHEL-191425)
- Resolves: RHEL-174896 RHEL-149688 RHEL-191176 RHEL-50021 RHEL-191425
This commit is contained in:
Dan Horák 2026-08-03 10:16:23 +02:00
parent 7ab32f0903
commit e7ac6489b2
4 changed files with 49 additions and 3 deletions

View File

@ -0,0 +1,30 @@
diff --git a/scripts/pvics b/scripts/pvics
index 18cdbb6b..8fe21a3b 100755
--- a/scripts/pvics
+++ b/scripts/pvics
@@ -1474,12 +1474,6 @@ main() {
local -
set -Eu
- # call cleanup on error
- # PIPE is needed to allow out=$(main list -i <image> | grep -m 1 <filter>)
- # bash will close the subshell executing the main function as soon as grep has found a match
- # cleanup will not be executed anymore
- trap 'cleanup 1' ERR EXIT PIPE
-
# general
ACTION=""
NBD=""
@@ -1518,6 +1512,12 @@ main() {
# parse command line
cli "$@"
+ # call cleanup on error
+ # PIPE is needed to allow out=$(main list -i <image> | grep -m 1 <filter>)
+ # bash will close the subshell executing the main function as soon as grep has found a match
+ # cleanup will not be executed anymore
+ trap 'cleanup 1' ERR EXIT PIPE
+
# set up logger
setup_logger

View File

@ -14,7 +14,7 @@
Name: s390utils
Summary: Utilities and daemons for IBM z Systems
Version: 2.42.1
Version: 2.44.0
Release: 1%{?dist}
Epoch: 2
License: MIT
@ -53,6 +53,10 @@ Patch1: s390-tools-zipl-blscfg-rpm-nvr-sort.patch
Patch10: s390utils-tape-revert.patch
Patch11: s390utils-lcs-revert.patch
# temporary fixes
# https://github.com/ibm-s390-linux/s390-tools/issues/208
Patch90: s390utils-2.44.0-pvics-return.patch
# upstream fixes/updates
#Patch100: s390utils-%%{version}-rhel.patch
@ -430,6 +434,7 @@ BuildRequires: json-c-devel
BuildRequires: rpm-devel
BuildRequires: libxml2-devel
BuildRequires: libnl3-devel
BuildRequires: libnvme-devel
%description base
@ -623,6 +628,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_sbindir}/zmemtopo
%{_sbindir}/znetconf
%{_sbindir}/zpcictl
%{_sbindir}/zpcimon
%{_bindir}/cpacfinfo
%{_bindir}/dump2tar
%{_bindir}/genprotimg
@ -645,6 +651,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_bindir}/zpwr
%{_unitdir}/dumpconf.service
%{_unitdir}/opticsmon.service
%{_unitdir}/zpcimon.service
%ghost %config(noreplace) %{_sysconfdir}/zipl.conf
%config(noreplace) %{_sysconfdir}/sysconfig/dumpconf
%{_sysconfdir}/mdevctl.d/*
@ -751,6 +758,7 @@ getent group zkeyadm > /dev/null || groupadd -r zkeyadm
%{_mandir}/man8/zmemtopo.8*
%{_mandir}/man8/znetconf.8*
%{_mandir}/man8/zpcictl.8*
%{_mandir}/man8/zpcimon.8*
%dir %{_datadir}/s390-tools
%{_datadir}/s390-tools/netboot/
%{_datadir}/bash-completion/completions/*.bash
@ -1121,6 +1129,14 @@ User-space development files for the s390/s390x architecture.
%changelog
* Wed Aug 05 2026 Dan Horák <dhorak@redhat.com> - 2:2.44.0-1
- rebased to 2.44.0 (RHEL-174896)
- KVM: Quantum Safe SE Header and tooling support (RHEL-149688)
- Introduce NVMe SMART data monitoring to the zpcimon service (RHEL-191176)
- zkey key support for dm-integrity with HMAC (RHEL-50021)
- fix zipl support for mixed type mdadm RAID1 devices (RHEL-191425)
- Resolves: RHEL-174896 RHEL-149688 RHEL-191176 RHEL-50021 RHEL-191425
* Thu Jun 18 2026 Dan Horák <dhorak@redhat.com> - 2:2.42.1-1
- rebased to 2.42.1 (RHEL-174896)
- hyptop: Backward compatibility options causes other issues (RHEL-166158)

View File

@ -1,2 +1,2 @@
SHA512 (s390-tools-2.42.1.tar.gz) = 719b000ffc507837f579db8c395cd929151c77e36c598e872cef7cd76b6612f7cd5f8eba87de1df69a446a05ba3a6daa385a4bca2dfdb5b2b52e70cb5a7a197b
SHA512 (s390-tools-2.42.1-rust-vendor.tar.xz) = 7fbae9b43d956e2a9b71b6a0a0928fca9506a191424d63f6df109ddc0ce4efa9df2d0e245ee231602a139642fe7fc25f13680eec27a4aa914be151a39876b945
SHA512 (s390-tools-2.44.0.tar.gz) = 6f2f7fa45573b1a2515c4ea143ff0877711713724c737f9aaa4f853f6142f215628c10d1827f94cf54a50c1fec757fd3710f3e4b60f6125b0ee952002e43dbf7
SHA512 (s390-tools-2.44.0-rust-vendor.tar.xz) = 7c0708a6593d9a2ff307e9e46c63f191532170db43f7f5e4f68c64673dbb7f1dae5663f60236d54b0c67d9bbc3b523aedcdf8747377e63f82f3767586fa3e8c4